## sndfile-tools 1.03

=== debian/changelog ===
sndfile-tools (1.03-7build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:08:41 +0000

sndfile-tools (1.03-7) unstable; urgency=low

  * debian/rules: Switch from autotools-dev to dh-autoreconf.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Thu, 30 Jan 2014 19:23:00 +1100

sndfile-tools (1.03-6) unstable; urgency=low

  * Ensure config.{sub,guess} up to date for new ports (Closes: #727971).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 22 Jan 2014 07:46:41 +1100

sndfile-tools (1.03-5) unstable; urgency=low

  * debian/control : Depend on fonts-dejavu-core instead of ttf-dejavu-core
    (Closes: #736094).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 20 Jan 2014 06:58:21 +1100

sndfile-tools (1.03-4) unstable; urgency=low

  * Ensure config.{sub,guess} up to date for new ports (Closes: #727971).
  * debian/control
    - Standards version 3.9.5. No changes needed.
    - Remove DM-Upload-Allowed.
  * debian/rules: Add hardening flags.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 19 Jan 2014 21:36:43 +1100

sndfile-tools (1.03-3) unstable; urgency=low

  * debian/control
    - Fix spelling of libcairo in description (Closes: 702947).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Thu, 14 Mar 2013 10:44:47 +1100

sndfile-tools (1.03-2) unstable; urgency=low

  * debian/copyright
    - Make copyrights more explicit.
    - Remove empty first paragraph of description (Closes: 563488).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 21 Dec 2009 11:43:11 +1100

sndfile-tools (1.03-1) unstable; urgency=low

  * Initial release (Closes: 559757).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 14 Dec 2009 19:42:42 +1100
