=== debian/control ===
Source: sndfile-tools
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, pkg-config, libsndfile1-dev,
 libjack-dev, libfftw3-dev, libcairo2-dev
Standards-Version: 3.9.5
Homepage: http://www.mega-nerd.com/libsndfile/tools/

Package: sndfile-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dejavu-core
Breaks: sndfile-programs (<< 1.0.21)
Description: Collection of programs for operating on sound files
 sndfile-tools is a collection of programs which use libsndfile and other
 libraries to do useful things like generate spectrograms using libfftw and
 libcairo and play sound via the JACK Audio Connection Kit daemon.
