=== debian/watch ===
version=3

http://www.mega-nerd.com/libsndfile/files/ sndfile-tools-([\d\.]+)\.tar\.gz
