## sndfile-tools 1.04

=== debian/changelog ===
sndfile-tools (1.04-1) unstable; urgency=medium

  * New upstream version 1.04
    * Drop patches applied upstream
  * Patch to fix spelling
  * Patch to fix privacy breach
  * Breaks/Replaces/Provides samplerate-programs
    * sndfile-tools now includes 'sndfile-resample'
  * Demote dependency on "fonts-dejavu-core" to Recommends (LP: #1394231)
  * Modernize packaging by switching to dh
    * Dropped d/compat
    * Bump debhelper compat to 13
  * Added autopkgtest based on upstream's testsuite
  * Update d/watch to new upstream page at github
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Add Vcs-* stanzas
  * Convert d/copyright to DEP5
    * Generate d/copyright_hints
    * fix 'licensecheck' excludes
  * Bump standards version to 4.5.1
  * New maintainer: Debian Multimedia Maintainers
    * Removed Erik de Castro Lopo: thanks for all the fish
    * Added myself as Uploader

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Jan 2021 09:09:08 +0100

sndfile-tools (1.03-7.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Support DEB_BUILD_OPTIONS=nocheck (Closes: #852735).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 05 Oct 2017 23:26:45 +0200
