=== debian/watch ===
version=4
opts=dversionmangle=auto,\
  repacksuffix=+ds0 \
  https://github.com/libsndfile/sndfile-tools/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
