## sndfile-tools 1.5

=== debian/changelog ===
sndfile-tools (1.5-4) unstable; urgency=medium

  * Drop unused B-D on 'autogen' (Closes: #1076246)
  * Replace B-D on pkg-config with pkgconf
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Jul 2024 21:07:36 +0200

sndfile-tools (1.5-3) unstable; urgency=medium

  * Don't run autopkgtests on armhf due to valgrind bug #1061496.
    Thanks to Emanuele Rocca <ema@debian.org> (Closes: #1061551)
  * Update copyright information
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Jan 2024 22:54:06 +0100

sndfile-tools (1.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + sndfile-tools: Drop versioned constraint on sndfile-programs in Breaks.

  [ Dennis Braun ]
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Bump Standards Version to 4.6.1

  [ IOhannes m zmölnig ]
  * Prefer libjack-dev over libjack-jackd2-dev
    (partly reverting Dennis' commit)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 18:49:01 +0200

sndfile-tools (1.5-1) unstable; urgency=medium

  * New upstream version 1.5
  * Fix hardening
  * Add me as uploader
  * Remove spelling patch, applied by upstream
  * Remove privacy patch, obsolete now
  * d/rules: Remove unnecessary ldflags
  * d/watch: Remove trailing whitespace
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 09 Feb 2021 21:49:08 +0100
