=== debian/control ===
Source: sndfile-tools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Dennis Braun <d_braun@kabelmail.de>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev [linux-any],
 libcairo2-dev,
 libfftw3-dev,
 libjack-dev | libjack-jackd2-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 pkgconf,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.mega-nerd.com/libsndfile/tools/
Vcs-Git: https://salsa.debian.org/multimedia-team/sndfile-tools.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sndfile-tools

Package: sndfile-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fonts-dejavu-core,
Breaks:
 samplerate-programs (<< 0.2.0),
Replaces:
 samplerate-programs (<< 0.2.0),
Provides:
 samplerate-programs,
Description: Collection of programs for operating on sound files
 sndfile-tools is a collection of programs which use libsndfile and other
 libraries to do useful things like generate spectrograms using libfftw and
 libcairo and play sound via the JACK Audio Connection Kit daemon.
