=== debian/tests/control ===
Tests: upstream-tests
Depends:
 valgrind,
 @,
Architecture: !armhf
